Introduction

To use your thermal printer in Windows environment, you need Windows printer driver.

When you buy Windows, you automatically receive Windows drivers for hundreds of different printers. Because these printer drivers perform the task of controlling printers, all Windows programs can take full advantage of the capabilities of numerous different printers regardless of how different those printers may be from each other. Unfortunately, a standard Windows doesn't have drivers included for many of the most useful label printers, including thermal printers.

The thermal printer drivers developed by Zebra were created to allow any Windows software to use the thermal printers as any normal printer. This means you can use the thermal printer drivers with other Windows programs, such as Corel Draw, PageMaker, and Word for Windows. The only issue is that you have to make sure that you properly specify your "custom" paper size that should be the same size as the labels you use.

General windows programs however don't know how to use all the special functions that thermal printers have. Some of such functions are: automatic incrementing of counters and barcodes, remembering part of label that is constant on many labels, printing barcodes directly, inverting part of some label, use downloaded graphics elements that greatly increase the printing speed…

These functions (and therefore optimal label printing) are only available from special labelling software such as Zebra Designer package.

Next:

Driver installation

Configuring serial communication


Driver Installation

Before you begin installing the driver, please check that the printer is properly connected to the computer. Refer to the printer documentation for more information.

To install the printer drivers simply click on the Add printer icon from the Printer folder and follow on screen instructions. Printer folder is accessible by clicking on Start menu, and selecting Settings / Printers.

When the dialog box for printer selection is shown, select the Have disk button and provide the correct path to the printer driver. Usually you select the folder with the name that corresponds to the printer manufacturer in the \drivers path on the Zebra Designer CD-ROM

Then you have to select your printer from the list that is displayed. If your printer is not listed, please check that you have selected the correct folder in the previous step.

Now you must select, how the printer is connected to your computer. Usually you would select LPT1, COM1 or COM2 here. Note that if you don't select the correct connection here, your printer won't work. This is especially true for the serial connection (COM1, COM2). The com ports have special other settings (baud rate, flow control…), that must be set the same way as on the printer. See Configuring serial communication for more information.

Note: If your printer supports both parallel and serial connection, you should use the parallel connection, because it is much faster.

Next you must provide the printer name and whether you want this to be your default Windows printer. The default values are usually OK.

When the installation is complete, Windows may ask you if you want to print the test page to see if the printer is installed correctly. You should select NO (don't print the test page). This is because the Windows' test page is of size A4 and therefore won't fit on a vast majority of labels that can be printed on thermal printers. Many printers also don't have enough memory to print such a big page (label). The results are therefore very unpredictable and tell you very little about the right printer connection.

If you use Windows NT the order of the installation is slightly different due to differences in operating system, but the basic procedure is the same.

You can also share the thermal printer over the network just as any other printer in the Windows system. Please see the Windows documentation on how to do that.

Note: Some applications can cause driver files to be locked. This may cause the driver installation to fail, as it is not able to update the driver files.

Manually close all applications to try and resolve the issue. If this doesn’t work, reboot the computer and rerun the installation procedure.


Configuring serial communication

Thermal printers are now mostly available with parallel ports, which we recommend over serial ports. If you will be printing any kind of Windows graphics or TrueType fonts, your system performance will benefit significantly from the superior throughput of a parallel port. Additionally, because there is only one valid type of parallel cable (as opposed to dozens of different possible serial cables), you never have to worry about buying or making a different type of cable.

However, as some printers come standard with only a serial port, and cost extra with the parallel port option (assuming the option is even available), serial port communication issues often arise. This section covers some of the most common obstacles encountered with serial port communication, and explains how to best configure Windows (and possibly your serial cable) to properly communicate with your printer.

If you are having trouble getting Windows to talk through your serial port to your printer, examine the switches and/or the settings on the front (back) panel of your printer that are used to set your printer's communication parameters. Write down the baud rate, data bit count (or "word length"), parity setting, number of stop bits, and type of flow control being used. Also, if you happen to have any other program that you have ever used to talk to your printer, you can examine the menu in the program that is used to specify your communication parameters for comparison. Once you know the desired communication parameters, be sure to set them properly for your printer. The proper way to specify your printer settings will depend on the version of Windows you are using.

It is important to keep in mind that your Zebra Windows printer driver and the program that you will be printing from do not control the serial communication between your computer and printer. Your mode of serial communications is controlled by:

  • The settings in your printer.
  • The type of serial cable being used.
  • The printer settings specified in Windows.

More:

Why are there sometimes problems printing over the serial port

Specifying the serial port settings on printer and in Windows


Why are there sometimes problems printing over the serial port

When printing through a parallel port, there is only one type of cable, so you just hook it up and start printing. There are no switch settings or other communication parameters to worry about. However, there are well over a hundred possible different ways to configure a serial port, and if you don't set the ports on your computer and printer identically, communication will be unreliable, if not impossible. Additionally, there are dozens of ways that serial cables can be wired, and it becomes clear that if you randomly hook up any PC to any printer using just any random serial cable, your chances of establishing proper communication are poor.

Getting your PC's serial port to talk to your printer is not difficult, but it does require that you know how to determine your printer's current settings. It is also helpful (but not mandatory) to know a few things about the type of cable you are using.

Serial port parameters specified in DOS or by a DOS program do not affect the configuration of your serial ports once you enter Windows. Furthermore, it is not sufficient to specify your serial port settings from inside of Windows by running a DOS program. You must use the Port settings button in the Printer properties dialog box.

Next:

Specifying the serial port settings on printer and in Windows


Specifying the serial port settings

Specifying the serial port settings on printer and in Windows

The serial port settings for your printer will be specified either by "DIP" switch settings (usually on the back of your printer) or through a menu system accessed from the printer's front panel. (Consult your printer manual or dealer if you don't know which method to use.) You need to specify the following parameters:

  • Baud Rate
  • Data Bits
  • Parity Bit
  • Stop Bits
  • Flow Control

It is very important, to set the serial port in Windows the same way as they are set on the printer.

More:

Setting the serial port in Windows


Setting the serial port in Windows

You can specify your communication port settings as follows:

  1. Click on the Windows Start button.
  2. Select Settings and then Printers. The printer folder will be displayed.
  3. Click your right mouse button on the printer you wish to change your settings for and select the Properties option.
  4. Click on the Details tab near the top of the dialog, and then click on Port Settings button near the bottom right.
  5. Adjust your port settings as necessary and select OK.

Select OK again to exit from the printer's Properties dialog, and then close the Printers dialog.


Factors that affect the printing performance

The data that needs to be printed must somehow be transmitted to printer. This is usually done using the serial or parallel cable. It takes some time, for the printer to receive this data.

When the data is in printer, the printer must process this data and prepare it so, that it can be printed. This also requires some additional time.

Finally, the movement speed of the label roll also limits the printing speed.

By properly setting the configuration parameters, you can minimize the above described times. If however the printer and computer are not set or used properly there may be a great increase in printing time, resulting in slow and inefficient label production.


Increasing the printing performance

Printing speed depends a lot upon the port type you use, the port settings, and various printer options. Some of the most common issues related to printing speed are listed below.

More:

Serial / Parallel connection issues

Use printer's internal fonts

Set the printing speed to a higher value

Use the No. of copies option

Minimize the use of graphics on the label


Serial / Parallel connection issues

We cannot get into details here, but the general rule to follow is: use parallel port whenever possible. Parallel port is much faster, easier to use and also more reliable than serial port. The only disadvantage is, that not all printers support it (especially the older printer models).

If however, you are using the serial port, you may try setting the baud rate as high as possible to increase the printing performance.

First make sure, that everything works as expected. This means, that settings on computer and printer must match, and that the proper serial cable is used.

Than you can try increasing the baud rate (if possible). You must set the printer's as well as computer's serial port equally.

Note that increasing the baud rate means also increasing the possibility of an error during data transmission. This is especially true if you use long serial cables. You should try finding a compromise that is suitable for you.

See also:

Configuring serial communication


Use printer's internal fonts

Printing TrueType fonts is a very time consuming process (especially if you use the serial cable), because a lot of data needs to be transmitted to the printer. (TrueType fonts are printed as graphics).

If you however use the printer's internal fonts, only the text is transmitted. By using only the printer's internal fonts, you can sometimes increase the printing by more than ten times.

This is also the most common reason for slow printing.

You can use Font and Graphics Downloader to download TrueType fonts to printer's memory card and use them as internal fonts.


Set the printing speed to a higher value

You can set the speed at which the labels move across the printing head. You can set the printing speed in Printer Properties dialog box.

Note that higher printing speed also means lower printing quality. With a little experimenting, you should find a value that is suitable for you.


Use the No. of copies option

If you need to print several equal labels, you can set the No. of copies option in Printer properties dialog box. If you set this option, the data for the label is sent to printer only once, and printer then prints the specified amount of labels. If you don't set this option, the data must be sent to printer for each individual label, although they are completely equal.


Minimize the use of graphics on the label

Avoid using graphic objects on the label. Graphic objects take a lot of time to transmit them to printer.

If you need to have a company logo or other graphics on the labels, you should consider using preprinted labels.


Overview

Troubleshooting overview

This section summarizes the best procedure for solving print-time problems, such as the job not printing and/or a communication error message being output at print-time. We have encountered very few print-time problems like this that are not effectively solved by following guidelines in this chapter.


Printer does not print at all

When printer doesn't print at all, there is usually something wrong with the communication between computer and printer.

See the following topics for more information:

Check serial port communication setting

Check printer connection

Turn printer off and on after configuration changes


Check serial port communication setting

Most of the printing problems occur because the serial ports on the printer and computer are not configured correctly.

Before you go any further, regardless of how you think these parameters are set, you should double-check your printer and Windows settings for baud rate, data bits, stop bits and parity. For some extra guidance, this simple procedure is described in Configuring Serial Communications.

Do not assume that the default printer settings shown in your manual reflect your printer's actual settings. You must directly inspect either the mechanical switches (usually on the back of your printer) or the front panel menu settings before you can be sure how your printer's communications settings are configured.


Check printer connection

Users often mistakenly connect their printer cable to the wrong port on their computer, or mistakenly set Windows to output to the wrong port. To be on the safe side, double-check that all of your cables are properly connected, they are attached to the right port on your computer, and the Windows printer port settings accurately reflect the port to which you are attached.


Turn printer off and on after configuration changes

The majority of thermal printers require that you turn them off and then back on again before changes to the communication parameters in the printer will take effect. In this regard, keep in mind that some printers need to be left off for about 5 seconds to ensure that they are fully off before you turn them back on. After turning your printer back on, make sure that it has completed its power-on self-test procedure before you start any printing tests. (No lights should be blinking. Additionally, some printers will display the word Ready or display a ready light, usually green.)

Anytime you output a print job that fails, it is possible that the printer may lock-up, leaving part of a received print job in its input buffer. Because this can prevent the reception of subsequent print jobs, to be on the safe side while trouble-shooting, it is recommended that you power-cycle (turn off and then back on) your printer after failed print jobs.


Printer prints something, but the result is incorrect

These type of problems are harder to predict, but can usually be solved by setting the proper option in printer dialog box.

More:

Printer works for some time, but after a while stops

Graphics is missing or not printed completely

Printer prints across two or more labels

Printing doesn't start on top of label

Asian characters are not displayed correctly


Printer works for some time, but after a while stops

If a print job stalls and/or generates a communication error message after some data has already been successfully transmitted to the printer, you may have a flow control problem.

Please see the Configuring Serial Communications topic for further information.


Graphics is missing or not printed completely

If all of your TrueType or bitmap graphics print perfectly down to a point and then are cut off cleanly straight across the label, you almost definitely have insufficient memory in your printer to output the amount of graphics you are attempting to print.

If your printer otherwise handled this print job well, and is ready for the next print job, then this makes it even more likely that you need to contact your printer reseller for a printer memory upgrade.

Note that there are printer models that don't print any graphics if the special memory module is not installed. If the internal fonts and barcode print correctly but TrueType fonts and graphics are missing you probably don't have the memory module installed in a printer.


Printer prints across two or more labels

This problem mostly occurs if you set the label size incorrectly (too big).

It is also possible, that the distance between top of the label and print head is not set according to real distance or that the sensor for detecting the gaps between the labels is not set correctly.

In either case, you should go to the Printer properties dialog box and set the appropriate setting.


Printing doesn't start on top of label

If there appears to be too much white space (top margin) on each label, then you probably have not correctly set the distance between the print head and top of label. You can set this in Advanced printer options dialog box.


Asian characters are not displayed correctly

In order to print Asian characters (Chinese, Kanji, Thai, Korean, etc), the appropriate language support and keyboard layout must be installed on the operating system.


Printer properties dialog box - Overview

In the Printer properties dialog box you can set various printer options (printing speed, darkness, and label size…). By setting these (and other) options you can greatly improve label printing. There may also be occasions when printing doesn't work at all if some options are not set properly.

This dialog box is shown, if you select properties from the printers file menu (with the printer selected). You can also right click on the printer's icon and select properties.

Some portions of this dialog box are also accessible within applications with the Printer setup, Page setup, Print, or similar command. There may be slight variations on how this dialog box looks because not all applications display it the same way. However, all options regarding printer should always be in dialog box, they may just be on different place.

Here we assume that you use Windows 95 and have accessed the Printer properties dialog box from the Printers folder with the File-Properties command.


Special notes for Windows NT users

If you are using Windows NT, dialogs may look different than described here and there may be other options available, regarding general printer installation under Windows NT (in printer properties dialog box).

But all options that are specific to thermal printers are the same as here (have the same name) and are accessible by selecting Document defaults from the File or Pop-up menu.

These options are described under topics "Options tab" and "Advanced Setup".


General tab

On the General tab, you can set the printer's detail description and separator page. The separator page is often used if the printer is used by many people at the same time in network environment.

Here you can also start the Windows' printer test, but since the test page size is too big, the results show you little or no information about the printer.

This tab is standard for all Windows printers and is documented in Windows manual and help.


Details tab

Here you can set, how the printer is connected to computer, communication port’s settings, print spooler settings, select a printer driver to use and some other options.

You will mostly use this tab only to set the serial port if you have printer connected to the computer's serial port.

This tab is standard for all Windows printers and is documented in Windows manual and help.


Sharing tab

On this tab you can specify that you want to share the printer over the network. If the printer is shared, anyone with the correct username/password can connect to it and use it for printing.

This tab is standard for all Windows printers and is documented in Windows manual and help.


Options tab

On the Options tab you can set options that are general for all thermal printers. Here you can set the label size, printing speed and darkness, printing orientation, number of label copies to be printed and similar setting.

Note that these options can be set in the Documents defaults dialog box on the Windows NT system.

You can click the question mark in the upper right corner of dialog box or press the F1 key to display more information about specific part of the dialog box.

You can also click on the option name below.

More:

No. Of Copies

Speed

Darkness

Stocks

Paper format

Cm/Inch

Inch

Portrait/Landscape

Rotate 180°

Width

Height


Advanced setup - Overview

In the Advanced setup dialog box you can set the advanced options regarding the printer. Some of these options include the type of sensor used, distance from sensor to the top of the label, etc.

If you accessed the Printer properties dialog box from the printer's folder, the content of this dialog box is located on a separate tab - Advanced setup tab.

Click on the links below to get explanation for specific option.

Note: Depending on your printer model, not all options may be present. For detailed explanation of settings found in this dialog please refer to printer documentation.

Operation Mode

Tear off

Rewind

Peel off

Applicator

Cutter

Group quantity

Advanced

Mirror image

Inverse

Media Type

Thermal Transfer

Thermal Direct

Use Printer Settings

Tracking Mode

Continuous

Web Sensing

Mark Sensing

Variable Length

Adjustment

Top

Tear off

Left Position


Kiosk Settings

Cut Margin

The KR403 printer has a built in cutter that is positioned 9 mm after the print head. Therefore each page has a default Cut Margin of 9 mm. The top margin of the page can be decreased by reducing the Cut Margin setting. The value range for the Cut Margin setting is 2mm to 9mm.

Presenter Loop Length

The KR403 printer has a presenter that holds paper back until it is cut. The paper can form a loop and the length of this loop is determined by this value. If the printer is feeding more paper than specified with this parameter, the paper starts feeding out of the presenter at the same speed as it is printed until the printout is complete.

If this setting is set to 0, paper will feed directly through the presenter without forming a loop. The value range for the Presenter Loop length is 3 mm to 1023 mm. The values are approximate and may differ slightly from printer to printer.

Current Page

The settings under Current Page will affect the page that was just printed and is still present in the presenter.

Hold

If the Hold setting is selected, the printer will ignore any Retract Timeout and keep the page in the presenter after it is cut and presented until /manually removed by the user or a new page is printed.

Clear Presenter

If the Clear Presenter setting is selected, the printer will immediately eject the page completely out of the presenter after it is cut.

Retract upon Timeout

If Retract upon Timeout is selected the printer will retract the paper into the waste bin when the Retract Timeout expires.

Retract Timeout

The Retract Timeout setting is the amount of time in seconds that the printer will hold the page in the presenter if not /manually removed by the user. Once the timeout expires, the printer will retract the paper into the waste bin.

New Page

Eject upon New Page

If the Eject upon New Page setting is selected, the printer will immediately eject the current page out of the presenter if a new page is printed.

Retract upon New Page

If the Retract upon New Page setting is selected, the printer will immediately retract the current page out of the presenter into the waste bin if a new page is printed.

Hold until Current Page Cleared

If the Hold until Current Page Cleared setting is selected, the printer will not print a new page until the current page has cleared the presenter. If this setting is used with the Hold setting in the Current Page section, the printer will not print a new page until the current page is manually removed. If this setting is used with the Retract upon Timeout setting in the Current Page section, the printer will not print a new page until the current page is manually removed or retraction has occurred.

Cut Mode

Cut per Document

If the Cut per Document setting is selected, the printer will print a multipage document without cutting between the pages of the document. Only one cut at the end of the document will occur before the complete document is presented.

Full Cut per Page

If the Full Cut per Page setting is selected, the printer will cut after each page is printed and present the page according to the settings in the Current Page and New Page sections.

Partial Cut per Page

If the Partial Cut per Page setting is selected, the printer will use the Uncut Amount to partially cut any page of a multipage document until the last page. Only the last page of the document will be fully cut. After the full cut, the pages will be presented according to the settings in the Current Page and New Page sections.

Note: It is not recommend using Retract with Partial Cut per Page as this could cause paper jams.

Uncut Amount

The Uncut Amount setting determines the amount of paper that is left uncut by the cutter if the Partial Cut per Page setting is selected. It is important to consider the page width when selecting an uncut amount. A value of 0 will cause a full cut and values of 10 to 60 will leave 10 to 60 mm of paper left uncut. If you use a 58 mm width printer with a 60 mm uncut value, the page will not be cut.

Note: As a general guideline when selecting the Uncut Amount, stiffer paper can use a smaller value for the uncut amount.

Presenter Settings

Kiosk Wall Compensation

The Kiosk Wall Compensation setting can be used to present additional receipt length to compensate for printer placement within the kiosk. Possible selections are 0 to 255 mm.

Additional Present Length

The Additional Present Length setting can be used to eject more paper than the default setting of approximately 50 mm which the printer will eject after each cut. This setting can be used to eject almost all of the paper from the presenter to enable the user to easily retrieve paper from the printer without causing paper jams. Possible selections are 0 to 255 mm.

Note: If the combined length from the default eject length plus the Kiosk Wall Compensation plus the Additional Present Length is greater than the actual receipt, the printer will not eject the receipt completely but will hold a small amount of the receipt in the presenter.


other

Other Settings

In the Other settings dialog box, you can set the additional advanced options for your printer.


Dithering overview

Thermal printers can either print a dot on the label media or not. There is no setting for the individual intensity of the printed dots. Thermal printer usually have the possibility to define printing contrast, but is applied to the whole label. You cannot change the intensity for different parts of the label.

The lack of intensity setting is not really noted, when you print bar codes, text objects and 1-bit images on your labels. But as soon as you want to use bitmap images, you may encounter problems to correctly print them.

Dithering is the process that a driver uses when it cannot print the full range of colours or grey scale shades in a particular image. It is in design of the thermal printers that shades of gray aren't supported. The colour can either print on the label media or not. Dithering functionality was implemented to have control over printing of the bitmap images. The printer driver creates an illusion of shades of grey by converting the image into dotted graphic. The areas with different intensity of the black colour are constructed from pixels of different shape and mutual distance.

The result of the process is an grayscale image that looks better than black/white image that would be printed without the dithering effect.

When you are printing colour images, the same process is used, but just before that the colours are stripped and the image is converted to grayscale image.

You can control the appearance of the scattered pixels in the pattern by selecting different dithering type. When you select the dithering type, you can preview the dithering effect.


Barcode fonts overview

Most thermal printers can print barcodes, but most standard Windows applications (word processors, graphic programs) don't know anything about barcodes.

To allow these applications to print barcodes, special barcode fonts are created within the printer driver. When an application tries to print some numbers (text) in barcode font, these numbers (text) are printed as barcodes.

You must of course provide the proper barcode data otherwise nothing is printed. For example with EAN-13 barcode, you must provide exactly 13 (or 12 if automatic check digit is enabled) digits for the barcode to print correctly.

You can setup barcode fonts in the Barcode fonts dialog box.

Note: Administrative user rights are required for managing barcode fonts settings.

Note: By using the Zebra Designer labelling software you can design and print barcodes in full WYSIWYG manner, so you don't have to use barcode fonts.


Barcode fonts dialog box

In this dialog box, you can define, change and delete the barcode fonts.

Click the OK button to keep or Cancel to cancel the changes you made and exit the dialog box.

In the lower portion of the dialog box a description of the currently selected barcode font is displayed.

Note: Administrative user rights are required for managing barcode fonts settings.

More:

Adding a new barcode font

Changing the barcode font

Removing the barcode font


Adding a new barcode font

Click on the New button and fill in the values in the Define Barcode Font dialog box that is shown.


Changing the barcode font

Select the barcode font that you want to change and click on the Change button. The Define Barcode Font dialog box is shown. Change any options you want and click OK to return.


Removing the barcode font

Select the barcode font and click on the Delete button.


Define Barcode Font dialog box

In this dialog box you can define the barcode parameters that are associated with specific barcode font. Such parameters are: barcode type and size, interpretation of the barcode, etc.

You can also click on the option name below.

More:

Font

Symbology

Font Name

Dimensions

Expansion

Height

Options

Auto translation

Narrow to wide ratio

Descender bars

Add check digit

Rotation

PDF-417 barcode type options

X Expansion

Y Expansion

Security

Columns

Rows

MaxiCode barcode type options

Structured

DataMatrix barcode type options

Format ID

ECC

Border

Mirror


Command fonts overview

Command Fonts were introduced to improve direct control over a printer. These fonts enable any user to enter native printer commands directly whenever printer driver interference is unwanted.

Basically, once a font is defined, anything entered as a text is sent directly to the printer at a position selected by the user.

Note: Administrative user rights are required for managing command fonts settings. The use of this feature is advised only to users with extensive knowledge of printer's native command language.

More:

Command fonts dialog box


Command Fonts dialog box

In this dialog box you can define, change and delete the commands fonts.

More:

Define command font overview


Define command font overview

Each Command Font can include a Prefix/Suffix in addition to the actual text written. These two fields can contain commands that will be sent Before/After the actual text each time this font is used.

These two fields are optional. User can select between normal text, parsed text (explained below) and file. The difference between text and file is only in the way data is collected. In one instance the data is entered in a text box while the other allows user to select a file from which the commands will be read.

In certain cases user will want to use label specific data within printer commands. Parsed Text gives him the ability to collect such data by using predefined internal parameters. Driver then replaces these parameters with actual data from the label.

See also:

Using internal parameters

Encoding Commands


Using internal parameters

Internal parameters must be enclosed in curly braces {}.

Currently supported parameters are:

{x} | x coordinate of the top left corner of the command font location (in dots)
{y} | y coordinate of the top left corner of the command font location (in dots)
{xExp} | x expansion of font
{yExp} | y expansion of font
{PageWidth} | Width of the current page in dots
{PageHeight} | Height of the current page in dots
{Orientation} | Page orientation
{Quantity} | Quantity of pages to be printed
{PageNum} | Number of the current page

Numbers received from these parameters can be further formatted with using the # character.

For example, take an x coordinate with the value of 10.

Writing {x} would send a number 10 to the printer, while writing {x#3} would send 010. The # subcommand allows padding of the number with 0 if a printer command requires a specific number of characters to be sent.


Encoding commands

Since certain characters in Parsed Text are being used as commands they have to be encoded. These command characters are \, ", {, ' and }

To properly encode those characters a user simply has to put a \ (backslash) before the character.

If we want to send a \ we simply use \\. Or if we want to send a { we enter \{

In addition to this certain unprintable characters can be inserted using the following method:

\xnn | where "nn" should be replaced with the hexadecimal value of the unprintable character
\n | is sent as "newline" character (0A hex)
\r | is sent as "carriage return" character (0D hex)
\t | sent as TAB character (09 hex)
\e | sent as an escape character (1B hex)

Custom commands are used when you want to enable a printer internal command that is currently not controlled through printer dialog. Use the four combo boxes for this purpose.


Printer memory - Overview

For thermal printer to print graphics or TrueType fonts, these graphic objects must first be stored in printer's internal memory.

Memory installed in printer varies a lot between the different printer models and even the same printer model can have different amount of memory, depending on the number and type of memory cards installed.

The printer driver must however know the amount of memory installed in the printer in order to use it.

You can specify the amount of memory that your printer has in the Printer Memory dialog box that is accessible by clicking on the Memory button.

Note: This dialog box is not available for all thermal transfer printer drivers. The reason for this is that some printer models are not expandable by memory cards.


Printer Memory dialog box

In this dialog box you can specify the amount and type of memory that is installed in your printer. If you don't provide the correct information here, the printer may not function properly.

Printer memory is located on the special card, called memory module, that you insert into the printer. The memory module is plugged into a slot in a printer. Depending from the printer model you may have from zero to four memory slots in which you can insert memory cards.

Note that some printer models have a memory module already installed that cannot be removed. This memory module is however no different than any other (removable) memory module.

You can also click on the option name below.

More:

Type

Connected file

Details button (with three dots on it)

Size

Memory cards


Memory Cards Organizer dialog box

In the Memory Cards Organizer dialog box, you can install, remove or update the memory cards files.

Memory card files are special files created with the Font and Graphics Downloader program that describe, what has been stored in printer's memory module.

When you create a new memory card file and download it to printer's memory module using the Font and Graphics Downloader program, the printer driver doesn't know yet, what has been downloaded. You must therefore first Install the memory card if you want the driver to be able to use it. If you don't install it, then you won't be able to select it in the Printer memory dialog box.

If you change the objects downloaded to printer, you must also Update the memory card installation, by clicking the update button.

When you erase the memory card, you should also Deinstall the corresponding memory card.

You can also click on the option name below.

More:

Available cards

Install button

Update button

Deinstall button

Details button

Close button

Status


Memory Card Details dialog box

In this dialog box some information about the selected memory card file is displayed.

These information include name and type of fonts in the memory card file and size of graphics. You can see what a selected font looks like if you type some text in the Sample text edit box.

The section Downloaded shows whether the selected font or graphics has already been downloaded to the printer's memory card or not.


Stocks overview

In this section you are able to define your own custom label formats (stocks). Each stock stores the label dimensions (width and height) and printer options for printing speed and darkness. Stocks are stored on hard disk and are available for future use from any Windows application. You can define your frequently used label formats here and save yourself troubles of re-formatting labels and setting the proper dimensions at every use. The changes you make here are permanently stored.

Note: Administrative user rights are required for managing stocks settings.

For more information you can click on the option name below:

Define Stock dialog

Description

New

Change

Delete


Define Stock dialog

Define your custom label stock in this dialog and use it at a later time from any Windows application.

For more information you can click on the option name below.

More:

Name

Options

Darkness

Speed

Dimensions

Label Width

Label Height

OK

Help


Language overview

ZebraDrivers are translated to all world major languages and language support is growing with every new version of the drivers. Here you can select the language to be used for dialog boxes in printer properties.

The default language setting for dialog boxes is taken from Regional settings in Control Panel. If the language from Regional settings is not available, English will be used instead.

NOTE: Changing the language setting does not affect printer language selection in any way. Some printer do allow you to switch the currently selected codepage or use fonts in different codepages on the same label at the same time. This settings can be modified on International tab, but it is enabled only if your printer supports multi-codepage switching.

For changes to take effect you have to exit the printer properties dialog box and open it again.

For more information you can click on the option name below.

More:

Dialog box language

Warning


Custom printer commands overview

Custom commands overview

Here you have the possibility to send custom printer commands to your printer. This is very useful if you want to enable some functionality that is not covered with the current ZebraDriver. Your custom commands can be sent at the beginning or at the end of your document and even at the beginning or end of every label.

Note: These settings are for advanced users only. Please be sure you know what you are doing. Normally each selection should be empty and without any custom printer commands.

For more information click on the option name below:

Types of user custom commands

Syntax of user custom commands


Types of user custom commands

Custom commands are used when you want to enable a printer internal command that is currently not controlled through printer dialog. Use any of the four listed combo boxes for this functionality:

Start Document

End Document

Start Page

End Page


Start Document

This setting applies to the entire print job. All labels in a single printer stream are affected by command(s) listed here. Use this if you want to apply printer command(s) to all labels in the series.

On printers that use EasyPlug, this commands will be sent before first #ER command.


End Document

Commands that are listed here are executed at the end of a print job, when the very last label is printed. The often used command here is to cut the labels if your printer is equipped with cutter. Here you can also put the printer out of a special mode if you used any special command in the Start Document section.

On printers that use EasyPlug, this commands will be sent after last #Q command.


Start Page

Here you can list command(s) that are sent to the printer with every label. Some types of commands require to be sent with every label instead of sending them only once at start of the job.

On printers that use EasyPlug, this commands will be sent on each page after #ER command.


End Page

These commands are sent to the printer after each label is printed. You can control printer behavior at the end of printing here, for example enabling cutter or feeding the label.

On printers that use EasyPlug, this commands will be sent on each page before #Q command.


Syntax of user custom commands

Custom printer commands can be entered using two methods.

The first method is to prepare a file containing your printer commands in advance. In the combo box on the left select File and click the detail button (with three dots). Browse to your file and select it. The file can be an ASCII formatted text or a file containing binary data; it depends on your printer's type and printer language used. The edit box contains the path to the file containing the printer commands. If you want to change the filename of the file with the printer commands, click the detail button again.

The other method is to interactively type printer commands in the edit box. In the combo box on the left select "Text" and click the detail button (with three dots). Edit box will open and you will be able to type in the custom printer commands. Entering the data depends on the type of your printer, but all commands cannot be interactively typed in with the keyboard. Some characters are not easily accessible, but there is a workaround for this. If you need to include special character in your printer stream use the following syntax:

  • hex \x00 (backslash and x followed by two characters)
  • octal \000 (backslash followed by tree digits)
  • newline \n
  • carriage return \r
  • tab \t
  • escape (0x1b) \e
  • literal: for \ use \\

You can enter any hexadecimal character using this syntax. Type \x1b for frequently used Escape character. In fact ZebraDriver even allow you to use shortcut to Escape character, just type in \e. The allowed characters in hexadecimal code are digits 0 to 9 and character A to F.

The similar syntax is valid for octal entering of characters.

Caret (^) and backslash (\) characters are part of the printer command in some printer languages. If you wish to actually print them as single character and not to be understood as a part of printer command, you will have to enter two adjacent character (^^).

The edit box contains your custom printer commands. If you want to edit the printer commands, click the detail button again.


Import/Export settings

The purpose of this tab is to save the current settings of the printer driver to external file for backup and distribution purposes. You can import the printer settings from this external file to the printer driver on some other computer. You get the exact copy of the printer driver settings on both computers. The file with the settings can be stored on a safe location for backup.

You can export the information about printer settings, custom stocks and custom bar code fonts. The settings are stored in the external definition file with extension .DRS (DRiver Settings).

The settings can be exchanged between compatible printer models. If the definition file contains some data that is not supported on the current printer, such data will be ignored and not imported.

You can import the .DRS file into the .DAT file of your printer in the folder with the installation of the printer driver. Settings from the .DRS file will be used as a default settings for the every installation of the printer driver, whose .DAT file you have modified.


Printer Tools

Printer Tools allow you to send specific commands directly to the printer. These commands are simply pre-programmed strings of commands that you would be able to enter in the Direct Communication interface. The Printer Tools interface provides a user-friendly tool which allows the sending common commands to the printer, without the need for the printer to provide a reply to the user. The commands are divided into the following two categories:

  • Print – this tab includes commands which trigger printing
  • Action – this tab includes commands which alter a setting in the printer and do not trigger printing

All commands are described in the Description pane of the window as they are selected.

Select one of the commands and click on Send to send the command to the printer.


Printer settings overview

Some advanced printer functionality can be set in this dialog box to speed up your label printing or make your applications more compatible with your printer. Please set these settings with caution, because misconfiguration can affect your label production. Changes in this dialog box often require your labelling applications to be restarted. This dialog box is only available in newer Windows operating systems, older Windows platforms do not allow altering of this options.

More:

Printer fonts

Spool format

Line substitution

Command separation


Printer fonts

This setting determines how the printer fonts are presented to the application. Internal printer fonts are normally used as raster fonts. This means they are not scalable but have only fixed sizes, for example: the font is available in sizes 8 and 14 points and none other size can be used. Some applications do not allow you to rotate raster fonts so internal printer fonts could also not be rotated. Using this option you can present internal printer fonts as vector fonts, thus effectively overcome the application's limitation and enable font rotation.


Spool format

Specifies the format in which to store printing information on your disk while a print job is waiting to be printed. Generally, EMF (Enhanced metafile) format frees up your program faster because it is smaller and doesn't depend on what kind of printer you have. RAW format is specific to the printer, so extra time may be required to convert the printing information, and your program would not be available for working on other tasks. This is often used in network environments, where printer stream is prepared locally and then sent to printer on the network.


Line substitution

Set this option if you want the driver to substitute the lines and rectangles from your application with internal printer elements. This should be enabled if printing speed is a important requirement with your label production. Line printed as internal printer element requires much less data to be transferred to printer than line printed as graphics from your application. Some rules apply, however. The line has to be horizontal or vertical, it must not be rotated, it must not be dashed and its width must be supported by the printer. The similar limitations are valid for rectangles.


Command separation

This option is for some slow serial printers that cannot keep the pace with fast computers and require a pause between commands for safe printing. Pause is generated by a specified number of zero characters that are inserted between commands in the print stream. Of course this slows down label printing because of the extra data sent to the printer.


Contact Us

Contacting Zebra

Worldwide, Technical Support is available through your reseller, or at:

http://www.zebra.com/id/zebra/na/en/index/service_support.html

Zebra Technologies Corporation

International Headquarters

333 Corporate Woods Parkway

Vernon Hills, Illinois 60061-3109 USA

Phone: +1 847 913 2259

Fax: +1 847 913 2578


Zebra Designer software

ZebraDrivers are part of the Zebra Designer - the professional labelling software and are especially designed to allow optimal printing from Zebra Designer on most thermal printers. Number of supported printer models is growing with each release. Drivers are also available separately for FREE download and can be used to print labels from any other Windows applications. They are available for multiple Windows platforms.


Contents

Getting started

About printing performance

Troubleshooting

Printer properties dialog box

Advanced setup

Dithering

Barcode Fonts

Command Fonts

Printer Memory

Stocks

Language

Custom printer commands

Import, export settings

Printer settings

Finally


About printing performance

Factors that affect the printing performance

Increasing the printing performance


advanced

Select this option, when cutter is controlled from Labeling Software and there is no native printer command for (like cut at the end of batch).


applicator

Select this option, when you use the printer with application device. The label will move far enough forward to be removed by the applicator and applied to an item.


Batch

The whole surface of the label is printable. Cutting takes place during printing. This can result in brief interruptions within the print zone of the following label. The output volume is at its maximum level.


batchcut

Printer will cut the labels each time the print job is finished.


Commands

The Commands window enables the user to enable passthrough mode and enter the character sequences that delimit the start and end of the passthrough data.


Continous

Select this option if the media has no physical characteristic like web, notch, perforation, mark to separate the labels. Label length is determined by the setting in options dialog box.


Cut Mode

Within the cut mode group you can select how cutter is managed during the label production.


cutter

Here you can define, how you want to use the cutter. Note that cutter must be properly installed in your printer before you can use it. Most of the printers don't have the cutter.


cutter1

Select this option if you want to use the cutter. Gap separating printed and next label is extended in to the cutter mechanism. Label is cut. Black label is then pulled back into the printer so it can be printed.


Default

Select this option if you want to use the default media settings. Default media settings can be set directly on the printer panel.


Direct Thermal

Select this option if you use the labels that are heat sensitive and require no ribbon.


Double Cut (mm)

Select this option to enable a second cut from the specified distance regarding to the first cut.


endless

Select this option if you don't want to use the sensor. You may want to select this if you have labels without gaps and marks (for example textile labels). The label height defines the amount of role that is advanced when one label is printed. You must therefore very accurately define the label height to keep the printout aligned to the top of the labels.


everyxlabels

Printer will perform a cut when the specified number of labels is printed. If you for example enter here 5, after every fifth printed label the cutter will cut the label roll.


gap

Enter the gap between labels. This setting is used only if you don't use the sensor.


group quantity

Here you can enter the number of labels that are in a group.


Inverse

The Inverse setting allows you to invert the colors of the label. This means that instead of black information on a clear background (if this is your primary design), you can opt to print the label with clear data on a black printed background.


Left Position

Label Shift command is used to shift all field positions to the left


Mark Sensing

Select this option if the media has mark to separate the labels (non-continuous media mark sensing).


Media Settings

Within Media Settings group you can set the way how labels will be printed.


Media Type

Within media type group you can select what kind of media do you have in your printer. Functionality of the sensor is based on this setting.


mirror image

Select this option to print the entire printable area of the label as a mirror image. This command flips the image from left to right.


never

Specifies that you don't want to use the cutter. You must select this if you don't have the cutter installed.


Normal 1:1 Mode

In Normal 1:1 mode, cutting takes place during printing. As a result the first 18 mm of the label are not printable. These measurements correspond to the distance between print head and cutter. The output volume is at its maximum level.


offset

Set the offset for positioning the label under print head.


Open Printer Tools

Printer Tools allow you to send specific commands directly to the printer. These commands are simply pre-programmed strings of commands that you would be able to enter in the Direct Communication interface. The Printer Tools interface provides a user-friendly tool which allows the sending common commands to the printer, without the need for the printer to provide a reply to the user. The commands are divided into the following two categories:

  • Print – this tab includes commands which trigger printing
  • Action – this tab includes commands which alter a setting in the printer and do not trigger printing

All commands are described in the dialog window as they are selected.


peel off

Selects the peel off operation mode. After printing, the label is partially separated from the backing. Printing stops until the label is completely removed. Backing is rewound using an internal backing only rewind spindle. (Note: Select only if printer is equipped with internal rewind spindle).


punch

This option is used to define the point from which all printing is to be referenced on a irregular label.


Real 1:1 Mode

The whole surface of the label is printable. The label is pushed forward to the cutter for cutting. After the cut, the beginning of the next label is drawn back under the print head. This reduces the output volume (in relation to a certain time).


Reflective

Select this option if your want to use the sensor which will detect the marks on continuous stock, that has black marks on the back


Rewind

Selects the rewind operation mode. Label and backing are rewound on an (optional) external rewind device. The next label is positioned under the print head (no backfeed option).


Safe Graphics Printing

When printing graphic elements that overlap each other, only the topmost element is printed entirely on label. Elements that are below this one are partly hidden, even if the topmost element is transparent.

If this option is selected, graphics that overlap each other are joined into one element, so unnecessary portions of lower elements are not hidden. However, printing is somewhat slower with this option turned on.


Tear off

Selects the tear off operation mode. After printing, the label is advanced until the gap is positioned over the tear bar. Label, with its backing attached, can then be torn off manually.


Thermal Direct

Select this option if you use the labels that are heat sensitive and require no ribbon.


Thermal Transfer

Select this option if you use the high carbon black or colored ribbon. The ink on the ribbon is bonded to the media. You must have the ribbon installed before you can use this option.


Top

Select this option to move the entire label format a maximum 120 dot rows up or down from its current position in relation to the top edge of the label.


Transmissive

Select this option if you want to use the sensor, which will detect the gaps between labels.


Use Printer Settings

Select this option to send no command for Media Type to the printer. The default setting from the printer will be used.


Variable Length

Variable length is the same as Continuous Media, but if portions of the printed label fall outside of the defined label length, the label size will automatically be extended to contain them.


Web Sensing

Select this option if the media has web to separate the labels (non-continuous media web sensing).


Barcode fonts

Overview

Barcode fonts dialog box

Define barcode font dialog box


addcheckdigit

Automatically adds the check digit the barcode. If it is not ticked, you must provide the proper check digit when printing the barcode. Note that some barcode types require the check digit to be present (EAN-13) and will not print if the check digit is not correct. If you for example want to print EAN-13 barcodes with this option enabled, you must provide only 12 digits, while the check digit is calculated automatically.


autotranslation

Auto translation of the barcode is a number (text) contents of the barcode printed along the barcode in human readable characters that are represented with barcode. Usually the characters (digits) are located below or above the barcode.


border

Select the border width around the barcode.


columns

Specify the number of columns used in the barcode. Set it to zero to let the computer find the best fit.


descenderbars

If this option is selected, then some bars in barcode will be longer (usually the first, middle and the last two).


ecc

Select the error correction level. In general, the higher number mean more robust barcode.


expansion

Set the horizontal expansion of the barcode. Bigger expansion means that barcode will be easier to read, but will also occupy more space on the label.


fontname

Enter the font name that will be displayed in the fonts dialog box as a printer font when using application.


formatid

Select the format of the barcode, by choosing the proper identifier (if available).


height2

Set the height of the barcode.

If Use Font Height is checked, the height of the barcode font is set in the Windows application where the barcode font is used. If the setting is not checked, you can set the height of the barcode font manually.

Note: In some Windows applications, the barcode font size must be set to the same size as the custom Y dimension setting. If the font size is not set correctly, the results depend on the application.


kind

Selects the barcode type. Please keep in mind, that when the type of barcode is selected, you must follow the rules that apply to this barcode type when printing. (Number of characters, what alphanumeric characters can be printed…)

Note: Not all options are available with all barcode types and not all barcodes are available with all printer models.


mirror

Prints the barcode mirrored.


narrowtowideratio

Defines the ratio between the thin and thick lines in the barcode. Select one of the predefined (standard) ratios or select custom and define your own.


rotation

Select the desired rotation of the barcode.


rows

Specify the number of rows used in the barcode. Set it to zero to let the computer find the best fit.


security

Sets the security level for the barcode.

The security level of the barcode defines how redundant the barcode is. Higher numbers mean more secure reading, because the data is not written only once, but several times. This also means that the barcode requires more space.

The security feature allows you to properly read the barcode even if some part of barcode is missing, cut away or if there is something written over the barcode. You should experiment with this feature to find the proper security level for your needs.


structured

If the barcode is marked as structured, you must provide the information for routing packages (this is what this barcode was invented for).

In Unites States the coding contains 15 characters (digits) as follows: 3 digit Service Class, 3 digit Country Code which must be always set to "840" and 9 digit Postal Code. (example: 123840123456789)

In countries other than US, the coding consists of 12 characters (digits): 3 digit Service Class, 3 digit Country Code, 6 digit Postal Code. (example: 123123123456)

After this 15 (12) characters, up to 84 characters of barcode contents can follow.

If you uncheck this option, the routing data is set automatically, so you can just enter the data string (max 84 characters) to encode.


xexpansion

Select the expansion of the barcode in the horizontal direction. Larger barcodes are easier to read, but require more space on the label.


yexpansion

Select the expansion of the barcode in the vertical direction. Larger barcodes are easier to read, but require more space on the label.


Command fonts

Command fonts overview

Command Fonts dialog box

Define Command Font dialog box


Custom printer commands

Custom printer commands overview

Types of user custom commands

Syntax of user custom commands


Getting started

Introduction

Driver installation

Configuring serial communication


dialogboxlanguage

Select the language to be used for dialog boxes in printer properties. This setting does not apply to printer language selection in any way. You have to exit the printer properties dialog box and open it again for changes to take effect.


warning

Information about how to use language selection dialog box.


availablecards

Here are displayed all the memory cards, that have already been installed.


closebutton

Closes the Memory Cards Organizer dialog box.


connectedfile

If a memory module is configured as a memory card, then you must here select the installed memory card file that describes, what is stored in a memory module.


deinstallbutton

Removes the selected memory card file.


Detailsbutton.withthreedotsonit.

Displays the details about the selected memory card file.


installbutton

Installs a new memory card. Select the MMF file you created with the Font and Graphics Downloader program.


memorycards

Displays the Memory cards organizer dialog box.


Printer memory

Printer memory overview

Printer memory dialog box

Memory cards organizer dialog box

Memory card details dialog box


size

Enter the size of a memory module. If you don't enter the correct size, your printer may not function properly.


status

Here is displayed where the memory card file is located and whether it requires updating or not


type

Every memory module can be configured in many different ways (types). Note that not all printers support all types of memory module configuration. In dialog box, you can only select the configuration supported by your printer.

  • Production: Memory module will be used to temporary store graphic objects during printing. You will not be able to print graphics, if you don't have at least one module configured as production.
  • Memory Card: You can permanently store graphics and fonts that you use in memory cards. These graphics and fonts then appear as internal printer fonts and remain in the memory card even if the printer is switched off. By using the memory cards you can greatly increase the printing speed if you use a lot of TrueType fonts or graphics on your labels.
  • Overlay: Memory module will be used to temporary store fixed elements to speed up the printing.
  • Expanded memory: Allows the printer to use the memory on this module to store the label data. This means, that larger labels can be printed.
  • None: Select this if you don't have the memory card installed.


updatebutton

Click this button, if you changed the selected memory card file and therefore the objects downloaded on the printer's memory with the Font and Graphics Downloader program.


Cm.Inch

Select the unit for specifying the label size. You can select centimeters (cm) or inches (inch).


darkness1

Controls the temperature of the print head and as a result, the darkness of the printing. Selecting larger numbers means darker output. You should adjust this setting according to the labels and printing speed used.


height1

Set the height of the label.

Note that if you use the media sensor, you normally enter here only the true label height (without the gap between the labels).

If, on the other hand, you don't use the media sensor (the sensor that detects the gaps between labels) you must enter the distance from the top of one label to the top of the next (You must therefore also include the gap between labels, if any).


inch

Select the unit for specifying the label size. You can select centimeters (cm) or inches (inch).


landscape

Specifies how text is positioned on the label. Portrait orients the label vertically. Landscape rotates the label 90 degrees clockwise.


Nr.ofcopies

Specify how many identical labels you want to print. For example, if you enter '3', then there will be printed 3 copies for each label that computer sends to the printer. If you need more than one identical label, you can improve the printing speed significantly by using this option. The data for the label is sent to the printer only once and then printer itself takes care of multiple copies.


paperformat

With these options you can set the format of the labels you use. The picture of a page with a big letter 'A' in the middle shows direction of printing. The option "rotate 180" is useful if labels come printed upside-down out of your printer.


Portrait.Landscape

Specifies how text is positioned on the label. Portrait orients the label vertically. Landscape rotates the label 90 degrees clockwise.

Related Topics


Printer properties dialog box

Printer properties dialog box overview

Special notes for Windows NT users

General tab

Details tab

Sharing tab

Options tab


Rotate180.

Rotates all labels by 180 degrees. This is useful if the labels come out of the printer printed upside down.


speed1

This defines the printing speed in the units to the right of this list box. That is how fast the labels are moved through the printer. Note that greater printing speed at the same time causes poorer quality of printing. You should find the optimal setting based on the type of label material and type of the ribbon.


stocks1

Here you can select previously created Stock label format or leave a default User defined and manually set the label dimensions, printer speed and darkness.


width

Set the width of the labels you use. This is the overall width of the printing area.

Note that you should not include the backing paper in the overall width.


change

Change the parameters of selected label stock.


darkness2

Controls the temperature of the print head and as a result, the darkness of the printing. Selecting larger numbers means darker output. You should adjust this setting according to the labels and printing speed used.


definedstocks

Here is a list of all custom label formats (stocks) defined for this printer. You can use this stocks from any Windows application.


delete

Delete the selected label stock. Note: The action cannot be undone.


description2

Description of the selected stock is displayed here.


dimensions

Here you can set the format of the labels you use.


help

Displays helpful information about this dialog box.


labelheight

Set the height of the label.

Note that if you use the media sensor, you normally enter here only the true label height (without the gap between the labels).

If, on the other hand, you don't use the media sensor (the sensor that detects the gaps between labels) you must enter the distance from the top of one label to the top of the next (You must therefore also include the gap between labels, if any).


labelwidth

Set the width of the labels you use. This is the overall width of the printing area.

Note that you should not include the backing paper in the overall width.


name

This is the name and the description of your custom label stock.


new

Create a new label stock.


ok

Applies and saves any changes you have made and then closes this dialog box.


options

Here you can set the darkness and speed options for your custom label stock.


speed2

This defines the printing speed in the units to the right of this list box. That is how fast the labels are moved through the printer. Note that greater printing speed at the same time causes poorer quality of printing. You should find the optimal setting based on the type of label material and type of the ribbon.


Stocks

Stocks overview

Define stock dialog


Troubleshooting

Troubleshooting overview

Printer does not print at all

Printer prints something, but the result is incorrect